# frozen_string_literal: true

require 'big_session/version'
require 'big_session/faraday'
require 'big_session/rack_middleware'
require 'big_session/session_id'

module BigSession
  class Error < StandardError; end

  BIG_SESSION_HEADER_NAME = 'X-Bigse-SessionID'
  BIG_SESSION_SIGNATURE_HEADER_NAME = 'X-Bigse-Sig'
  THREAD_BIG_SESSION_CONTAINER_KEY = 'big_session_id'
  RAILS_SESSION_BIG_SESSION_ID_KEY = 'big_session_id'
end
